#!/usr/bin/perl -I/usr/sausalito/perl
#
# $Id: change_password.pl,v 1.0.0.0 Sat 18 Nov 2006 08:37:54 PM EST mstauber Exp $
# Copyright 2006 Solarspeed Ltd. and NuOnce Networks, Inc. All rights reserved.
#
# Handler which writes / updates VZ config files.
#

use CCE;
use POSIX qw(isalpha);

my $DEBUG = 0;

my $cce = new CCE('Domain' => 'base-vserver');

if ($DEBUG == 0) {
    $cce->connectfd();
}
else {
    $cce->connectuds(); # only for debugging
}

if ($DEBUG == 0) {
    ($sys_oidmasternode) = $cce->find('VserverMasterNode');
    ($ok, $VserverMasterNode) = $cce->get($sys_oidmasternode);
    $vpsid = $VserverMasterNode->{gui_list_ip};
    system("echo \"VPSID: $vpsid\" > /tmp/vpsid");
}
else {
    $vpsid = 1; # In debug mode only!
    system("echo \"VPSID-debug: $vpsid\" > /tmp/vpsid");
}

my $vserver = $cce->event_object();
my $vserver_new = $cce->event_new();
my $vserver_old = $cce->event_old();

if (($vserver_new->{vpsid}) || ($vserver_new->{password})) {
    if ($DEBUG == 1) {
	system("echo \"VPSID-debug: $vserver_new->{password}\" >> /tmp/vpsid");
    }
    system("/usr/sbin/vzctl set $vpsid --userpasswd root:$vserver_new->{password} --save");
    system("/usr/sbin/vzctl set $vpsid --userpasswd admin:$vserver_new->{password} --save");
}

# We need to say 'SUCCESS' or CCE will bitch:
$cce->bye('SUCCESS');
exit(0);


